import 'dart:convert';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nui_core/nui_core.dart';

void showNUIJsonDialog(BuildContext context, dynamic object, {String indent: "     "}){
  showNUIDialog(context: context, content: (context) => _JsonDebugDialog(object: object, indent: indent));
}

class _JsonDebugDialog extends StatelessWidget {
  _JsonDebugDialog({this.object, this.indent: "     "});
  final String indent;
  final dynamic object;

  @override
  Widget build(BuildContext context) {
    final prettyString = JsonEncoder.withIndent(indent).convert(object);

    return Container(
      width: double.infinity,
      height: double.infinity,
      color: NUIColors.NUIWhite,
      child: ListView(
        children: [
          Divider(height: 15, color: NUIColors.NUITransparent),
          Text(prettyString, style: getFont(context, size: 12, singleColor: NUIColors.NUITextBlack)),
          Divider(height: 15, color: NUIColors.NUITransparent),
        ],
      ),
    );
  }
}
